package net.wanji.opt.servicev2.judgeanalysis.impl;

import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDay;
import net.wanji.opt.dao.mapper.judgeanalysis.AnalysisProblemCrossDayMapper;
import net.wanji.opt.servicev2.judgeanalysis.AnalysisProblemCrossDayService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import javax.annotation.Resource;
import java.util.List;

/**
* <p>
* 路口问题分析 服务实现类
* </p>
*
* @author fengyi
* @since 2025-03-13
*/
@Service
 public class AnalysisProblemCrossDayServiceImpl extends ServiceImpl<AnalysisProblemCrossDayMapper, AnalysisProblemCrossDay> implements AnalysisProblemCrossDayService {

	 @Resource
	 private AnalysisProblemCrossDayMapper analysisProblemCrossDayMapper;

	
	 /**
	 * 路口问题分析详情
	 * @param id
	 * @return
	 */
	 @Override
	 public AnalysisProblemCrossDay info(Long id) {
	
	 	return getById(id);
	 }
	
	 /**
	 * 路口问题分析新增
	 * @param param 根据需要进行传值
	 * @return
	 */
	 @Override
	 public void add(AnalysisProblemCrossDay param) {
	
	 	save(param);
	 }
	
	 /**
	 * 路口问题分析修改
	 * @param param 根据需要进行传值
	 * @return
	 */
	 @Override
	 public void modify(AnalysisProblemCrossDay param) {
	
	 	updateById(param);
	 }
	
	 /**
	 * 路口问题分析删除(单个条目)
	 * @param id
	 * @return
	 */
	 @Override
	 public void remove(Long id) {
	 	removeById(id);
	 }
	
	 /**
	 * 路口问题分析删除(多个条目)
	 * @param ids
	 * @return
	 */
	 @Override
	 public void removes(List<Long> ids) {
	
	 	removeByIds(ids);
	 }
	 }
